# $Revision: 1.17 $, $Date: 2008-04-27 00:42:47 $
Summary:	CPU frequency scaling daemon
Summary(pl.UTF-8):	Demon skalowania częstotliwości procesora
Name:		powernowd
Version:	1.00
Release:	3
License:	GPL
Group:		Daemons
Source0:	http://www.deater.net/john/%{name}-%{version}.tar.gz
# Source0-md5:	abc48b690d104e9e71a85400ba19d799
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://www.deater.net/john/powernowd.html
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Powernowd reduces CPU's freuency when it is idle.

%description -l pl.UTF-8
Powernowd służy do zmniejszania częstotliwości procesora podczas jego
bezczynności.

%prep
%setup -q

%build
%{__cc} %{rpmcflags} %{rpmldflags} -o powernowd powernowd.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sbindir},%{_sysconfdir}/sysconfig}

install %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add powernowd
%service powernowd restart "powernowd daemon"

%preun
if [ "$1" = "0" ]; then
	%service powernowd stop
	/sbin/chkconfig --del powernowd
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: powernowd.spec,v $
Revision 1.17  2008-04-27 00:42:47  glen
- rel 3

Revision 1.16  2008-04-15 01:01:39  glen
- release 2

Revision 1.15  2008-04-15 01:01:03  glen
- update to 1.00

Revision 1.14  2007-12-29 00:34:29  glen
- rel 2

Revision 1.13  2007-02-13 08:06:41  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.11  2006/09/17 22:40:21  glen
- 0.97

Revision 1.10  2006/09/17 22:29:25  glen
- updated initscript; rel 3

Revision 1.8  2006/09/05 10:34:15  glen
- rel 2: fixed initscript and more advanced sysconfig

Revision 1.7  2006/04/20 17:19:21  glen
- use %service, fix chkconfig deps

Revision 1.6  2006/01/09 22:01:53  undefine
- pldusers say, that it works.
- release 1

Revision 1.5  2005/09/05 10:43:36  qboosh
- use __cc

Revision 1.4  2005/09/05 10:19:39  kosmo
- use %{rpmcflags} and %{rpmldflags}

Revision 1.3  2005/05/23 20:57:11  qboosh
- deduped files

Revision 1.2  2005/05/23 00:09:18  ankry
- some cleaning, adapterized, missing files

Revision 1.1  2005/05/22 22:13:20  emes
- initial release, ItWorksForMe
